# This is the CRAN name
%global packname zoo
# This is the main package version
%global packver 1.8
# Note that some R packages do not use packrel
%global packrel 6

Name:    R-%{packname}
Version: %{packver}.%{packrel}
Release: 0.rhel7.lc
Summary: Z's ordered observations

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/zoo/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}-%{packrel}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    tex(latex)
Requires:         R-core
Requires:         R-utils, R-graphics, R-grDevices, R-lattice

%define debug_package %{nil}

%description
R package:
An S3 class with methods for totally ordered indexed observations. 
It is particularly aimed at irregular time series of numeric vectors/matrices and factors. 
zoo's key design goals are independence of a particular index/date/time class and consistency with ts and base R by providing methods to extend standard generics.

%prep
%setup -q -c -n %{packname}
#Fix line endings
sed -i -e 's/\r//' zoo/inst/doc/zoo*.Rnw

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}
cp -p %{packname}/NEWS %{buildroot}%{_libdir}/R/library/%{packname}/

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-,root,root,-)
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/WISHLIST
%doc %{_libdir}/R/library/%{packname}/TODO
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/zoo.so
%{_libdir}/R/library/%{packname}/include/zoo.h

%changelog
* Sat Nov 30 2019 Stuart Raeburn <raeburn@loncapa.org> (1.8.6)
- Update to 1.8.6

* Fri Jun 27 2014 Stuart Raeburn <raeburn at loncapa.org> (1.7.11)
- Initial build 

